package com.burtbeckwith.gae.guestbook.controller

import org.springframework.stereotype.Controller
import org.springframework.ui.Model
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RequestMethod
import org.springframework.web.bind.annotation.RequestParam

import com.burtbeckwith.gae.guestbook.domain.GuestbookEntry

@Controller
class GuestbookController {

	@RequestMapping(value="/guestbook/list.action", method=RequestMethod.GET)
	String setupForm(Model model) {
		model.addAttribute('entries', GuestbookEntry.getEntries())
		return 'guestbook'
	}

	@RequestMapping(value="/guestbook/addEntry.action", method=RequestMethod.POST)
	String addGuestbookEntry(
			@RequestParam('who') String who,
			@RequestParam('message') String message) {

		GuestbookEntry.insert(who, message)

		return 'redirect:/guestbook/list.action'
	}
}
