<%@page isELIgnored="false"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <title>Friends Demo</title>	
</head>

<body>

<h2>${firstName} ${lastName}</h2>
<c:choose>
	<c:when test="${empty friends}">
	<div>No friends.</div>
	</c:when>
	<c:otherwise>
		<c:forEach var='friend' items='${friends}'>
		<div>
			<a href='/friends/list.action?lastName=${friend.lastName}&firstName=${friend.firstName}'>${friend.lastName}, ${friend.firstName}</a>
			<span>Connects to 
				<c:choose>
					<c:when test="${empty friend.friends}">nobody</c:when>
					<c:otherwise>
						<c:forEach var='otherFriendName' items='${friend.friends}'>
						<span>${otherFriendName};</span>
						</c:forEach>
					</c:otherwise>
				</c:choose>
			</span>
		</div>	
		</c:forEach>
	</c:otherwise>
</c:choose>

<h2>Add friend</h2>
<form action='/friends/add.action' method='post'>
	<input type='hidden' name='lastName' value='${lastName}'>
	<input type='hidden' name='firstName' value='${firstName}'>
	<p>First name: <input type='text' name='friendFirstName'> Last name: <input type='text' name='friendLastName'>
	<input type='submit' value='Add'></p>
</form>

<h2>Lookup</h2>
<form action='/friends/list.action' method='get'>
	<p>
		First name: <input name='firstName' value='${firstName}'>
		Last name: <input name='lastName' value='${lastName}'>
		<input type='submit' value='Lookup'>
	</p>
</form>

</body>
</html>
