<%@page isELIgnored="false"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <title>Guestbook Demo</title>	
</head>

<body>
<h2>Entries</h2>

<c:choose>
	<c:when test='${empty entries}'>
	Sorry, no entries.
	</c:when>
	<c:otherwise>
		<c:forEach var='entry' items='${entries}'>
			<div>${entry.message} from ${entry.who} at ${entry.when}</div>
		</c:forEach>
	</c:otherwise>
</c:choose>

<h2>New entry</h2>
<form action='/guestbook/addEntry.action' method='post'>
	<p>Who: <input type='text' name='who'></p>
	<p>Message: <input type='text' name='message'></p>
	<p><input type='submit' value='Submit'></p>
</form>
</body>
</html>
